| Flutter Impeller |

Public Member Functions | Public Attributes | List of all members
impeller::interop::ContextVK::Settings Struct Reference

`#include <context_vk.h>`

## Public Member Functions
| Settings (const ImpellerContextVulkanSettings &settings)
bool | IsValid () const

## Public Attributes
std::function< PFN_vkVoidFunction(VkInstance instance, const char *proc_name)> | instance_proc_address_callback
bool | enable_validation = false

## Detailed Description

Definition at line 16 of file context_vk.h.

## Constructor & Destructor Documentation

## ◆ Settings()

impeller::interop::ContextVK::Settings::Settings | ( | const ImpellerContextVulkanSettings & | settings | ) |
| explicit

Definition at line 84 of file context_vk.cc.

85 : enable_validation(settings.enable_vulkan_validation) {
86 instance_proc_address_callback =
87 [&settings](VkInstance instance,
88 const char* proc_name) -> PFN_vkVoidFunction {
89 if (settings.proc_address_callback) {
90 return reinterpret_cast<PFN_vkVoidFunction>(
91 settings.proc_address_callback(instance, proc_name,
92 settings.user_data));
93 }
94 return nullptr;
95 };
96 }
ImpellerContextVulkanSettings::proc_address_callback
ImpellerVulkanProcAddressCallback IMPELLER_NONNULL proc_address_callback
Definition: impeller.h:634
ImpellerContextVulkanSettings::enable_vulkan_validation
bool enable_vulkan_validation
Definition: impeller.h:635
ImpellerContextVulkanSettings::user_data
void *IMPELLER_NULLABLE user_data
Definition: impeller.h:633
impeller::interop::ContextVK::Settings::enable_validation
bool enable_validation
Definition: context_vk.h:20
impeller::interop::ContextVK::Settings::instance_proc_address_callback
std::function< PFN_vkVoidFunction(VkInstance instance, const char *proc_name)> instance_proc_address_callback
Definition: context_vk.h:19

References instance_proc_address_callback, ImpellerContextVulkanSettings::proc_address_callback, and ImpellerContextVulkanSettings::user_data.

## Member Function Documentation

## ◆ IsValid()

bool impeller::interop::ContextVK::Settings::IsValid | ( |  | ) | const

Definition at line 116 of file context_vk.cc.

116 {
117 return !!instance_proc_address_callback;
118 }

Referenced by impeller::interop::ContextVK::Create().

## Member Data Documentation

## ◆ enable_validation

bool impeller::interop::ContextVK::Settings::enable_validation = false

Definition at line 20 of file context_vk.h.

## ◆ instance_proc_address_callback

std::function<PFN_vkVoidFunction(VkInstance instance, const char* proc_name)> impeller::interop::ContextVK::Settings::instance_proc_address_callback

Definition at line 19 of file context_vk.h.

Referenced by impeller::interop::ContextVK::Create(), and Settings().

The documentation for this struct was generated from the following files:

- impeller/toolkit/interop/backend/vulkan/context_vk.h
- impeller/toolkit/interop/backend/vulkan/context_vk.cc